Moody’s strongly recommends that Risk Modeler and UnderwriteIQ tenants use the Platform APIs instead of the Risk Modeler APIs for all future projects. See Migrate to Plaform APIs.

Convert event rates and losses

Generates an analysis result based on an existing portfolio-level EP result by applying event rate or event loss adjustments to the specified reference analysis.

Analysis jobs generally require substantial time and resources to complete. Event rate conversion enables cat modelers to compare analysis results based on different event rates without re-running the analysis jobs from scratch.

Event rate adjustments

Event rate adjustments enable you to compare results using different event rates. The event loss rate defines the annual probability of that event occurring.

The eventRateSchemeIds attribute accepts an array of event rate schemes identified by ID number. If unspecified, the service returns event loss adjustments only.

Event loss adjustments

Event loss adjustments enable you to scale mean losses and uncertainty to align with your organization's view of risk.

The eventLossAdjustmentSchemeIds attribute accepts an array of event loss adjustment schemes.If unspecified, the service returns event rate adjustments only.

Once the CONVERT_EVENT_LOSS_RATE job is complete, the operation writes the updated result to the RDM using a new ID and a name that appends the string _EVENT to the name of the original result.

🍐

Permissions

To perform this operation, a principal must belong to a group that has been assigned the appropriate role-based permissions. The table identifies the roles with permission to perform this operation.

UnderwriterTechnical UnderwriterRisk AnalystPortfolio ManagerCat Modeler
NOYESYESYESYES

To learn more about role-based permissions in Risk Modeler, see Groups and Roles.

Path Params
int32
required
≥ 1

ID number of the base analysis.

Body Params
string
length between 0 and 64

The name for the analysis with converted rates and/or losses. Valid characters: 0-9, A-Z, a-z, _ (underscore), - (hyphen), and '' '' (blank space). String cannot start or end with a hyphen (-), colon (:), or blank space and cannot include multiple consecutive hyphens (--).

eventRateSchemeIds
array of int32s

Array of event rate schemes identified by ID number.

eventRateSchemeIds
eventLossAdjustmentSchemeIds
array of int32s

Array of event loss adjustment schemes identified by ID number.

eventLossAdjustmentSchemeIds
boolean
Defaults to false

If true, overrides eventIds in the analysis with externalIds from event rate schemes

Responses

CONVERT_EVENT_LOSS_RATE job was added to the workflow engine queue for processing. Returns a URL in the Location header that enables you to track the status of the job e.g. /{host}/v1/workflows/100000. Send periodic HTTP GET requests to the URL for the job status. See Workflow Engine.

Language
Credentials
URL
Response
Choose an example:
*/*
application/json